## dcl 7.0.2

=== src/env2/Makefile ===
#
#       Makefile for env2
#
#       Copyright (C) 2000-2016 GFD Dennou Club. All rights reserved.
#

include ../../Mkinclude

SUBDIRS		= dcldate dclver dclexec dcltrf dclclr dcldbs \
		  dclfont dclpara dcltone dclcmap repsl pslib \
			dclfontlist dclsysfont dclfontdialog


all:
	@for i in $(SUBDIRS) ; do \
	  cd $$i ; \
	  echo "Making exec file for $$i" ; \
	  $(MAKE) ; \
	  cd .. ; \
	done

clean: clean.local clean.dir

clean.local:
	$(RM) *~

clean.dir:
	@for i in $(SUBDIRS) ; do \
	  cd $$i ; \
	  echo "Cleaning $$i" ; \
	  $(MAKE) clean ; \
	  cd .. ; \
	done

=== debian/changelog ===
dcl (7.0.2-5) unstable; urgency=medium

  * Update: create libf77dcl7.triggers for jessie

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Tue, 26 Jul 2016 17:49:52 +0200

dcl (7.0.2-4) unstable; urgency=medium

  * Cosmetic

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Tue, 26 Jul 2016 17:25:31 +0200

dcl (7.0.2-3) unstable; urgency=medium

  * Add libf77dcl7: call ldconfig explicitly when jessie

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Mon, 25 Jul 2016 23:27:10 +0200

dcl (7.0.2-2) unstable; urgency=medium

  * Drop transitional packages

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Mon, 25 Jul 2016 14:32:10 +0200

dcl (7.0.2-1) unstable; urgency=medium

  * Update debian/changelog
  * Imported Upstream version 7.0.2
  * Bump soname: 7.0.2
  * Refresh patches
  * Bump Standard version: 3.9.8
  * Drop dcl-utils, create as transtional package
  * Create fonts-dclfonts package
  * Enable hardening
  * Create empty manpages
  * Refresh patch: add @LDFLAGS@

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Mon, 25 Jul 2016 12:11:55 +0200

dcl (7.0.1-1) unstable; urgency=medium

  * Update debian/changelog
  * Refresh patches
  * Bump Standard version: 3.9.8
  * Bump soname, rename package, add transitional package
  * Create fonts-dclfonts package
  * Enable hardening
  * Imported Upstream version 7.0.1

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Wed, 20 Jul 2016 15:24:38 +0900

dcl (7.0.0-1) unstable; urgency=medium

  * Imported Upstream version 7.0.0
  * Refresh patch

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Wed, 22 Jun 2016 12:12:07 +0900

dcl (6.0.4-2) unstable; urgency=medium

  * Drop -dbg package
  * Bump Standard version: 3.9.7

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Sun, 24 Apr 2016 14:17:11 +0900

=== debian/control ===
Source: dcl
Section: science
Priority: optional
Maintainer: Youhei SASAKI <uwabami@gfd-dennou.org>
Build-Depends: debhelper (>= 9.0~),
	autotools-dev,
	libx11-dev,
	libgtk2.0-dev,
	libglib2.0-dev,
	gfortran,
	rdtool
Standards-Version: 3.9.8
Homepage: http://www.gfd-dennou.org/arch/dcl/

Package: dcl-f77
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, libf77dcl-dev
Pre-Depends: ${misc:Pre-Depends}
Description: GFD-DENNOU Club Library (DCL) - FORTRAN77 version
 GFD-DENNOU Club Library (DCL) is a package of graphic and mathematical
 libraries developed by GFD-Dennou Club, see http://www.gfd-dennou.org/
 It contains following libraries.
   * visualization libraries:
     wide variety of 1D and 2D graphics and limited 3D graphics
   * mathematical libraries
     FFT, Ordinary differential equation solver, Spherical harmonics analysis
     etc.
 .
 This package is metapackage to install libf77dcl-dev

Package: libf77dcl-dev
Architecture: any
Section: libdevel
Suggests: mawk
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends},
	libf77dcl7 (= ${binary:Version}),
	fonts-dclfonts,
	libgtk2.0-dev,
	libglib2.0-dev,
	gfortran
Description: GFD-DENNOU Club Library (DCL) - static library and header files
 GFD-DENNOU Club Library (DCL) is a package of graphic and mathematical
 libraries developed by GFD-Dennou Club, see http://www.gfd-dennou.org/
 It contains following libraries.
   * visualization libraries:
     wide variety of 1D and 2D graphics and limited 3D graphics
   * mathematical libraries
     FFT, Ordinary differential equation solver, Spherical harmonics analysis
     etc.
 .
 This package provides static library, header files, wrapper scripts.

Package: fonts-dclfonts
Section: fonts
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: GFD-DENNOU Club Library (DCL) - font files
 GFD-DENNOU Club Library (DCL) is a package of graphic and mathematical
 libraries developed by GFD-Dennou Club, see http://www.gfd-dennou.org/
 It contains following libraries.
   * visualization libraries:
     wide variety of 1D and 2D graphics and limited 3D graphics
   * mathematical libraries
     FFT, Ordinary differential equation solver, Spherical harmonics analysis
     etc.
 .
 This package provides font files for DCL

Package: libf77dcl7
Architecture: any
Section: libs
Replaces: libf77dcl5 (<< 7), libf77dcl6 (<< 7)
Breaks: libf77dcl5 (<< 7), libf77dcl6 (<< 7)
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: GFD-DENNOU Club Library (DCL) - shared library
 GFD-DENNOU Club Library (DCL) is a package of graphic and mathematical
 libraries developed by GFD-Dennou Club, see http://www.gfd-dennou.org/
 It contains following libraries.
   * visualization libraries:
     wide variety of 1D and 2D graphics and limited 3D graphics
   * mathematical libraries
     FFT, Ordinary differential equation solver, Spherical harmonics analysis
     etc.
 .
 This package provides shared library, database files.

Package: dcl-docs
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: GFD-DENNOU Club Library (DCL) - documents
 GFD-DENNOU Club Library (DCL) is a package of graphic and mathematical
 libraries developed by GFD-Dennou Club, see http://www.gfd-dennou.org/
 It contains following libraries.
   * visualization libraries:
     wide variety of 1D and 2D graphics and limited 3D graphics
   * mathematical libraries
     FFT, Ordinary differential equation solver, Spherical harmonics analysis
     etc.
 .
 This package provides document and demo programs.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
export DPKG_EXPORT_BUILDFLAGS=1
export DEB_BUILD_MAINT_OPTIONS=hardening=+all
include /usr/share/dpkg/buildflags.mk
FFLAGS += -fPIC
CFLAGS += -fPIC
CODENAME := $(shell awk -F= '/VERSION=/ {gsub(/"/,""); print $2}' /etc/os-release)

%:
	dh $@

override_dh_auto_configure:
	$(shell ! grep -q jessie /etc/os-release || \
	  echo "activate-noawait ldconfig" > $(CURDIR)/debian/libf77dcl7.triggers )
	for f in dclcc dclclr dclcmap dclconfig dclconfig702 dcldate dcldbs dclexec dclfont dclfrt dclpara dcltone dcltrf dclver repsl; do \
	  ( cd $(CURDIR)/debian && sh ./generate_man.sh $$f ) ;\
	done
	CC=gcc FC=gfortran \
	   dh_auto_configure -- $(dpkg-buildflags --export=configure)

override_dh_auto_test:

override_dh_auto_install:
	mkdir -p $(CURDIR)/debian/tmp/usr/share/fonts/truetype/dclfonts/
	dh_auto_install -- prefix=$(CURDIR)/debian/tmp/usr
	rm debian/tmp/usr/bin/dclconfig
	$(CC) $(CFLAGS) $(CPPFLAGS) $(LDFLAGS) -shared -Wl,-soname,libf77dcl.so.7 \
	  -o $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libf77dcl.so.7.0.2 \
	  `find $(CURDIR) -name \*.o`
	( cd $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH) ; \
	  ln -s libf77dcl.so.7.0.2 libf77dcl.so.7 )
	( cd $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH) ; \
	  ln -s libf77dcl.so.7.0.2 libf77dcl.so )

override_dh_install:
	install -m644 $(CURDIR)/src/env1/sysfont/*.ttf \
	  $(CURDIR)/debian/tmp/usr/share/fonts/truetype/dclfonts/
	dh_install --sourcedir=debian/tmp

override_dh_auto_clean:
	[ ! -f Mkinclude ] || $(MAKE) distclean
	dh_auto_clean
	rm -f $(CURDIR)/debian/libf77dcl*.triggers
	rm -f $(CURDIR)/debian/*.1
	rm -f $(CURDIR)/lib/lib*.so
	rm -f $(CURDIR)/lib/lib*.so.*
	rm -f $(CURDIR)/src/misc1/fiolib/fcpack.f

override_dh_compress:
	dh_compress -X.png -X.f -X.dat

override_dh_installchengelogs:
	dh_installchangelogs --all --keep HISTORY

override_dh_installdocs:
	dh_installdocs -A README CREDITS

## dcl 7.0.3

=== debian/changelog ===
dcl (7.0.3-1) unstable; urgency=medium

  * Imported Upstream version 7.0.3
  * Bump soname, DCLVER

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Mon, 01 Aug 2016 11:22:05 +0900

=== debian/rules ===
--- 
+++ 
@@ -14,7 +14,7 @@
 override_dh_auto_configure:
 	$(shell ! grep -q jessie /etc/os-release || \
 	  echo "activate-noawait ldconfig" > $(CURDIR)/debian/libf77dcl7.triggers )
-	for f in dclcc dclclr dclcmap dclconfig dclconfig702 dcldate dcldbs dclexec dclfont dclfrt dclpara dcltone dcltrf dclver repsl; do \
+	for f in dclcc dclclr dclcmap dclconfig dclconfig703 dcldate dcldbs dclexec dclfont dclfrt dclpara dcltone dcltrf dclver repsl; do \
 	  ( cd $(CURDIR)/debian && sh ./generate_man.sh $$f ) ;\
 	done
 	CC=gcc FC=gfortran \
@@ -27,12 +27,12 @@
 	dh_auto_install -- prefix=$(CURDIR)/debian/tmp/usr
 	rm debian/tmp/usr/bin/dclconfig
 	$(CC) $(CFLAGS) $(CPPFLAGS) $(LDFLAGS) -shared -Wl,-soname,libf77dcl.so.7 \
-	  -o $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libf77dcl.so.7.0.2 \
+	  -o $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libf77dcl.so.7.0.3 \
 	  `find $(CURDIR) -name \*.o`
 	( cd $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH) ; \
-	  ln -s libf77dcl.so.7.0.2 libf77dcl.so.7 )
+	  ln -s libf77dcl.so.7.0.3 libf77dcl.so.7 )
 	( cd $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH) ; \
-	  ln -s libf77dcl.so.7.0.2 libf77dcl.so )
+	  ln -s libf77dcl.so.7.0.3 libf77dcl.so )
 
 override_dh_install:
 	install -m644 $(CURDIR)/src/env1/sysfont/*.ttf \

## dcl 7.1.1

=== bin/Makefile ===
#
#       Makefile for bin
#
#       Copyright (C) 2000-2016 GFD Dennou Club. All rights reserved.
#

include ../Mkinclude

LIBSRCS 	= $(DCLCONFVER) $(DCLFRT) $(DCLCC)
INSTSRC		= dcldate$(EXT) dclver$(EXT) dclexec$(EXT) dcltrf$(EXT) \
		  dclclr$(EXT)  dcldbs$(EXT) dclfont$(EXT) dclpara$(EXT) \
		  dcltone$(EXT) dclcmap$(EXT) repsl$(EXT) \
			dclfontlist$(EXT) dclsysfont$(EXT) dclfontdialog$(EXT) \

all: $(DCLCONFVER) $(DCLFRT) $(DCLCC)

$(DCLCONFVER): dclconfig.org
	@echo "Making shell script $(DCLCONFVER)"
	@$(SED) \
	     -e 's!@prefix@!$(prefix)!' \
	     -e 's!@DCLVERSION@!$(DCLVERSION)!' \
	     -e 's!@DCLVERNUM@!$(DCLVERNUM)!' \
	     -e 's!@DCLLANG@!$(DCLLANG)!' \
	     -e 's!@BINDIR@!$(BINDIR)!' \
	     -e 's!@LIBDIR@!$(LIBDIR)!' \
	     -e 's!@INCDIR@!$(INCDIR)!' \
	     -e 's!@DCLLIBNAME@!$(DCLLIBNAME)!' \
	     -e 's!@DCLLIBFILE@!$(DCLLIBFILE)!' \
	     -e 's!@DCLLIBOPT@!$(DCLLIBOPT)!' \
	     -e 's!@DCLLIBPATH@!$(DCLLIBPATH)!' \
	     -e 's!@DBASENAME@!$(DBASENAME)!' \
	     -e 's!@DBASEDIR@!$(DBASEDIR)!' \
	     -e 's!@XINCPATH@!$(XINCPATH)!' \
	     -e 's!@XLIBPATH@!$(XLIBPATH)!' \
	     -e 's!@XLIBOPT@!$(XLIBOPT)!' \
	     -e 's!@CC@!$(CC)!' \
	     -e 's!@CFLAGS@!$(CFLAGS)!' \
	     -e 's!@FC@!$(FC)!' \
	     -e 's!@FFLAGS@!$(FFLAGS)!' \
	     -e 's!@LDFLAGS@!$(LDFLAGS)!' \
	     -e 's!@LDLIBS@!$(LDLIBS)!' \
	     -e 's!@GTKVERSION@!$(GTKVERSION)!' \
	         dclconfig.org > $(DCLCONFVER)
	@chmod +x $(DCLCONFVER)

$(DCLFRT): dclfrt.org
	@echo "Making shell script $(DCLFRT)"
	@sed -e 's!@PATH@!$(BINDIR)!' dclfrt.org > $(DCLFRT)
	@chmod +x $(DCLFRT)

$(DCLCC): dclcc.org
	@echo "Making shell script $(DCLCC)"
	@sed -e 's!@PATH@!$(BINDIR)!' dclcc.org > $(DCLCC)
	@chmod +x $(DCLCC)

install:
	@-if (test $(BINDIR) != $(LBINDIR)) then \
	$(CP) $(LIBSRCS) $(INSTSRC) $(BINDIR); fi
	$(RM) $(BINDIR)/$(DCLCONFIG)
	ln -s $(DCLCONFVER) $(BINDIR)/$(DCLCONFIG)

clean:
	$(RM) *~ $(INSTSRC) $(DCLCONFIG) $(DCLCONFVER) $(DCLFRT) $(DCLCC)

distclean:
	$(RM) *~ $(INSTSRC) $(DCLCONFIG) $(DCLCONFVER) $(DCLFRT) $(DCLCC)

=== src/grph1/szpack/Makefile ===
#
#       Makefile for szpack
#
#       Copyright (C) 2000-2016 GFD Dennou Club. All rights reserved.
#

include ../../../Mkinclude

LIBNAME		= szpack
LIBFSRCS	= szplop.f szplzu.f szplzv.f szplzr.f szpmop.f szpmzu.f \
		  szpmzv.f szpmzr.f sztxop.f sztxzu.f sztxzv.f sztxzr.f \
		  sztnop.f sztnzu.f sztnzv.f sztnzr.f szlnop.f szlnzu.f \
		  szlnzv.f szlnzr.f szlaop.f szlazu.f szlazv.f szlazr.f \
		  szl3op.f szl3zu.f szl3zv.f szm3op.f szm3zu.f szm3zv.f \
		  szt3op.f szt3zu.f szt3zv.f szslti.f szstyp.f szsidx.f \
		  szoplu.f szoplt.f szoplv.f szopsv.f szoplc.f szopld.f \
		  szoplp.f szoplr.f szoplz.f szopl3.f szstni.f szoptu.f \
		  szoptt.f szoptv.f szoptp.f szoptr.f szoptz.f szopts.f \
		  sztnsv.f sztxwv.f szqtxw.f szfint.f szcltn.f szpipl.f \
		  szpipt.f szpipz.f szpclx.f szpcly.f szpcll.f szsgcl.f \
		  szxmod.f
LIBCSRCS	=
LIBSRCS		= $(LIBFSRCS) $(LIBCSRCS)
LIBFOBJS	= szplop.o szplzu.o szplzv.o szplzr.o szpmop.o szpmzu.o \
		  szpmzv.o szpmzr.o sztxop.o sztxzu.o sztxzv.o sztxzr.o \
		  sztnop.o sztnzu.o sztnzv.o sztnzr.o szlnop.o szlnzu.o \
		  szlnzv.o szlnzr.o szlaop.o szlazu.o szlazv.o szlazr.o \
		  szl3op.o szl3zu.o szl3zv.o szm3op.o szm3zu.o szm3zv.o \
		  szt3op.o szt3zu.o szt3zv.o szslti.o szstyp.o szsidx.o \
		  szoplu.o szoplt.o szoplv.o szopsv.o szoplc.o szopld.o \
		  szoplp.o szoplr.o szoplz.o szopl3.o szstni.o szoptu.o \
		  szoptt.o szoptv.o szoptp.o szoptr.o szoptz.o szopts.o \
		  sztnsv.o sztxwv.o szqtxw.o szfint.o szcltn.o szpipl.o \
		  szpipt.o szpipz.o szpclx.o szpcly.o szpcll.o szsgcl.o \
		  szxmod.o
LIBCOBJS	=
LIBOBJS		= $(LIBFOBJS) $(LIBCOBJS)


object: $(LIBOBJS)

library: archive ranlib

archive:
	@$(AR) $(ARFLAGS) $(LDCLLIBFILE) $(LIBOBJS)

ranlib:
	$(RANLIB) $(LDCLLIBFILE)

clean:
	$(RM) *.o *~

=== debian/changelog ===
dcl (7.1.1-2) unstable; urgency=medium

  * Drop rdtool
  * Remove-fdebug-prefix-map from dclconfig

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Fri, 23 Sep 2016 23:51:03 +0900

dcl (7.1.1-1) unstable; urgency=medium

  * New upstream version 7.1.1
  * Add patch: fix manpages
  * Rename dclconfig${DCLVER} to dclconfig

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Mon, 19 Sep 2016 21:59:12 +0900

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
export DPKG_EXPORT_BUILDFLAGS=1
export DEB_BUILD_MAINT_OPTIONS=hardening=+all
include /usr/share/dpkg/buildflags.mk
FFLAGS += -fPIC
CFLAGS += -fPIC
DCLVERNUM=7.1.1
DCLVER=711

%:
	dh $@

override_dh_auto_configure:
	$(shell ! grep -q jessie /etc/os-release || \
	  echo "activate-noawait ldconfig" > $(CURDIR)/debian/libf77dcl7.triggers )
	CC=gcc FC=gfortran \
	   dh_auto_configure -- $(dpkg-buildflags --export=configure)

override_dh_auto_test:

override_dh_auto_install:
	mkdir -p $(CURDIR)/debian/tmp/usr/share/fonts/truetype/dclfonts/
	dh_auto_install -- prefix=$(CURDIR)/debian/tmp/usr
	rm $(CURDIR)/debian/tmp/usr/bin/dclconfig
	mv $(CURDIR)/debian/tmp/usr/bin/dclconfig$(DCLVER) \
	  $(CURDIR)/debian/tmp/usr/bin/dclconfig
	$(CC) $(CFLAGS) $(CPPFLAGS) $(LDFLAGS) -shared -Wl,-soname,libf77dcl.so.7 \
	  -o $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libf77dcl.so.$(DCLVERNUM) \
	  `find $(CURDIR) -name \*.o`
	( cd $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH) ; \
	  ln -s libf77dcl.so.$(DCLVERNUM) libf77dcl.so.7 )
	( cd $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH) ; \
	  ln -s libf77dcl.so.$(DCLVERNUM) libf77dcl.so )

override_dh_install:
	install -m644 $(CURDIR)/src/env1/sysfont/*.ttf \
	  $(CURDIR)/debian/tmp/usr/share/fonts/truetype/dclfonts/
	dh_install --sourcedir=debian/tmp
	sed -i -e 's%-fdebug-prefix-map=$(CURDIR)=.%%g ' \
	  $(CURDIR)/debian/libf77dcl-dev/usr/bin/dclconfig

override_dh_auto_clean:
	[ ! -f Mkinclude ] || $(MAKE) distclean
	dh_auto_clean
	rm -f $(CURDIR)/debian/libf77dcl*.triggers
	rm -f $(CURDIR)/lib/lib*.so
	rm -f $(CURDIR)/lib/lib*.so.*
	rm -f $(CURDIR)/src/misc1/fiolib/fcpack.f

override_dh_compress:
	dh_compress -X.png -X.f -X.dat

override_dh_installchangelogs:
	dh_installchangelogs --all --keep HISTORY

override_dh_installdocs:
	dh_installdocs -A README CREDITS

=== debian/watch ===
version=3
http://www.gfd-dennou.org/library/dcl/SIGEN.htm dcl-([\d\.]+\d)\.tar\.gz

## dcl 7.1.2

=== demo/Makefile ===
#
#       Makefile for demo
#
#       Copyright (C) 2000-2016 GFD Dennou Club. All rights reserved.
#

include ../Mkinclude

SUBDIRS		= math1 misc1 grph1 math2 grph2 rakuraku gokuraku
 

all:
	@for i in $(SUBDIRS) ; do \
	  cd $$i ; \
	  echo "Making $$i/" ; \
	  $(MAKE) ; \
	  cd .. ; \
	done

clean: clean.local clean.dir

distclean: clean.local clean.dir

clean.local:
	$(RM) *~

clean.dir:
	@for i in $(SUBDIRS) ; do \
	  cd $$i ; \
	  echo "Cleaning $$i/" ; \
	  $(MAKE) clean ; \
	  cd .. ; \
	done

=== debian/changelog ===
dcl (7.1.2-1+0~20161124115959.52~1.gbp29e7b3) unstable; urgency=medium

  ** SNAPSHOT build @29e7b3a80f23c7f4c1c5b0fe73c7a2a0b5f44cdd **

  * UNRELEASED

 -- Jenkins Autobuilder <jenkins@gfd-dennou.org>  Thu, 24 Nov 2016 21:00:01 +0900

dcl (7.1.2-1) unstable; urgency=medium

  * New upstream version 7.1.2
  * Refresh patches

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Fri, 14 Oct 2016 23:03:40 +0900

=== debian/control ===
--- 
+++ 
@@ -7,8 +7,7 @@
 	libx11-dev,
 	libgtk2.0-dev,
 	libglib2.0-dev,
-	gfortran,
-	rdtool
+	gfortran
 Standards-Version: 3.9.8
 Homepage: http://www.gfd-dennou.org/arch/dcl/
 
@@ -31,7 +30,6 @@
 Package: libf77dcl-dev
 Architecture: any
 Section: libdevel
-Suggests: mawk
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends},
 	libf77dcl7 (= ${binary:Version}),

=== debian/rules ===
--- 
+++ 
@@ -6,8 +6,8 @@
 include /usr/share/dpkg/buildflags.mk
 FFLAGS += -fPIC
 CFLAGS += -fPIC
-DCLVERNUM=7.1.1
-DCLVER=711
+DCLVERNUM=7.1.2
+DCLVER=712
 
 %:
 	dh $@

## dcl 7.2.3

=== bin/Makefile ===
--- 
+++ 
@@ -55,7 +55,9 @@
 
 install:
 	@-if (test $(BINDIR) != $(LBINDIR)) then \
-	$(CP) $(LIBSRCS) $(INSTSRC) $(BINDIR); fi
+	$(CP) $(LIBSRCS) $(BINDIR); fi
+	@-if [ -e dcldate$(EXT) ] ; then \
+	$(CP) $(INSTSRC) $(BINDIR) ; fi
 	$(RM) $(BINDIR)/$(DCLCONFIG)
 	ln -s $(DCLCONFVER) $(BINDIR)/$(DCLCONFIG)

=== demo/misc2/Makefile ===
#
#       Makefile for misc2
#
#       Copyright (C) 2000-2016 GFD Dennou Club. All rights reserved.
#

include ../../Mkinclude

SUBDIRS		=


all:
	@for i in $(SUBDIRS) ; do \
	  cd $$i ; \
	  echo "Making $$i" ; \
	  $(MAKE) ; \
	  cd .. ; \
	done

clean: clean.local clean.dir

clean.local:
	$(RM) *~

clean.dir:
	@for i in $(SUBDIRS) ; do \
	  cd $$i ; \
	  echo "Cleaning $$i" ; \
	  $(MAKE) clean ; \
	  cd .. ; \
	done

=== debian/changelog ===
dcl (7.2.3-2+0~20171214044113.54~1.gbp7a009b) unstable; urgency=medium

  ** SNAPSHOT build @7a009b3c16565d3f0ab11e0a3e863d2651231cf2 **

  * UNRELEASED

 -- Jenkins Autobuilder <jenkins@gfd-dennou.org>  Thu, 14 Dec 2017 13:41:16 +0900

dcl (7.2.3-2) unstable; urgency=medium

  * Separate arch|indep (Closes: #873888)
  * Bump Standard Version: 4.1.0
  * dcl-f77-docs: Add Multi-Arch: foreign

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Sun, 03 Sep 2017 13:02:39 +0900

dcl (7.2.3-1) unstable; urgency=medium

  * Update Debian unstable(Closes: #841397)
  * New upstream version 7.2.3

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Tue, 04 Jul 2017 15:38:06 +0900

=== debian/control ===
--- 
+++ 
@@ -5,11 +5,13 @@
 Build-Depends: debhelper (>= 9.0~),
 	autotools-dev,
 	libx11-dev,
-	libgtk2.0-dev,
+	libgtk-3-dev,
 	libglib2.0-dev,
 	gfortran
-Standards-Version: 3.9.8
+Standards-Version: 4.1.0
 Homepage: http://www.gfd-dennou.org/arch/dcl/
+Vcs-Git: https://anonscm.debian.org/git/users/uwabami-guest/dcl-f77.git
+Vcs-Browser: https://anonscm.debian.org/git/users/uwabami-guest/dcl-f77.git
 
 Package: dcl-f77
 Architecture: all
@@ -85,7 +87,8 @@
  .
  This package provides shared library, database files.
 
-Package: dcl-docs
+Package: dcl-f77-docs
+Multi-Arch: foreign
 Architecture: all
 Section: doc
 Depends: ${misc:Depends}

=== debian/rules ===
--- 
+++ 
@@ -6,22 +6,25 @@
 include /usr/share/dpkg/buildflags.mk
 FFLAGS += -fPIC
 CFLAGS += -fPIC
-DCLVERNUM=7.1.2
-DCLVER=712
+DCLVERNUM=7.2.3
+DCLVER=723
 
 %:
 	dh $@
 
-override_dh_auto_configure:
+override_dh_auto_configure-arch:
 	$(shell ! grep -q jessie /etc/os-release || \
 	  echo "activate-noawait ldconfig" > $(CURDIR)/debian/libf77dcl7.triggers )
 	CC=gcc FC=gfortran \
-	   dh_auto_configure -- $(dpkg-buildflags --export=configure)
+	   dh_auto_configure -- $(dpkg-buildflags --export=configure) --with-gtk3
+
+override_dh_auto_configure-indep:
+#	do nothing
 
 override_dh_auto_test:
+#	do nothing
 
-override_dh_auto_install:
-	mkdir -p $(CURDIR)/debian/tmp/usr/share/fonts/truetype/dclfonts/
+override_dh_auto_install-arch:
 	dh_auto_install -- prefix=$(CURDIR)/debian/tmp/usr
 	rm $(CURDIR)/debian/tmp/usr/bin/dclconfig
 	mv $(CURDIR)/debian/tmp/usr/bin/dclconfig$(DCLVER) \
@@ -34,12 +37,17 @@
 	( cd $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH) ; \
 	  ln -s libf77dcl.so.$(DCLVERNUM) libf77dcl.so )
 
-override_dh_install:
-	install -m644 $(CURDIR)/src/env1/sysfont/*.ttf \
-	  $(CURDIR)/debian/tmp/usr/share/fonts/truetype/dclfonts/
-	dh_install --sourcedir=debian/tmp
-	sed -i -e 's%-fdebug-prefix-map=$(CURDIR)=.%%g ' \
+override_dh_auto_install-indep:
+#	do nothing
+
+override_dh_install-arch:
+	dh_install -a --sourcedir=debian/tmp
+	sed -i -e 's%-fdebug-prefix-map.*\.%%g ' \
 	  $(CURDIR)/debian/libf77dcl-dev/usr/bin/dclconfig
+
+override_dh_install-indep:
+	dh_install -i --sourcedir=$(CURDIR)
+	find $(CURDIR)/debian/dcl-f77-docs/ -name Makefile.win | xargs rm -f
 
 override_dh_auto_clean:
 	[ ! -f Mkinclude ] || $(MAKE) distclean
@@ -52,8 +60,5 @@
 override_dh_compress:
 	dh_compress -X.png -X.f -X.dat
 
-override_dh_installchangelogs:
-	dh_installchangelogs --all --keep HISTORY
-
 override_dh_installdocs:
-	dh_installdocs -A README CREDITS
+	dh_installdocs -A README

## dcl 7.3.0

=== src/Makefile ===
#
#       Makefile for src
#
#       Copyright (C) 2000-2016 GFD Dennou Club. All rights reserved.
#

include ../Mkinclude

OBJDIRS		= math1 misc1 misc2 grph1 math2 grph2
ALLDIRS		= math1 misc1 misc2 grph1 env1 math2 grph2 env2

object:
	@for i in $(OBJDIRS) ; do \
	  cd $$i ; \
	  echo "Making object files in $$i/" ; \
	  $(MAKE) object ; \
	  cd .. ; \
	done

library:
	@for i in $(OBJDIRS) ; do \
	  cd $$i ; \
	  echo "Making a library file with $$i/" ; \
	  $(MAKE) library ; \
	  cd .. ; \
	done

ranlib:
	$(RANLIB) $(LDCLLIBFILE)

dbase:
	@cd env1 ; \
	echo "Making database in env1/" ; \
	$(MAKE) ; \
	cd ..

exec:
	@cd env2 ; \
	echo "Making exec files in env2/" ; \
	$(MAKE) ; \
	cd ..

clean: clean.local clean.dir

distclean: clean.local clean.dir

clean.local:
	$(RM) *~

clean.dir:
	@for i in $(ALLDIRS) ; do \
	  cd $$i ; \
	  echo "Cleaning $$i/" ; \
	  $(MAKE) clean ; \
	  cd .. ; \
	done

=== demo/misc2/Makefile ===
--- 
+++ 
@@ -1,12 +1,12 @@
 #
 #       Makefile for misc2
 #
-#       Copyright (C) 2000-2016 GFD Dennou Club. All rights reserved.
+#       Copyright (C) 2000-2017 GFD Dennou Club. All rights reserved.
 #
 
 include ../../Mkinclude
 
-SUBDIRS		=
+SUBDIRS		= tmpack
 
 
 all:

=== src/misc2/Makefile ===
#
#       Makefile for misc2
#
#       Copyright (C) 2000-2016 GFD Dennou Club. All rights reserved.
#

include ../../Mkinclude

SUBDIRS		= tmpack


object:
	@for i in $(SUBDIRS) ; do \
	  cd $$i ; \
	  echo "Making object files in $$i" ; \
	  $(MAKE) object ; \
	  cd .. ; \
	done

library: archive ranlib

archive:
	@for i in $(SUBDIRS) ; do \
	  cd $$i ; \
	  echo "Archiving $$i" ; \
	  $(MAKE) archive ; \
	  cd .. ; \
	done

ranlib:
	$(RANLIB) $(LDCLLIBFILE)

clean: clean.local clean.dir

clean.local:
	$(RM) *~

clean.dir:
	@for i in $(SUBDIRS) ; do \
	  cd $$i ; \
	  echo "Cleaning $$i" ; \
	  $(MAKE) clean ; \
	  cd .. ; \
	done

=== src/misc2/tmpack/Makefile ===
#
#       Makefile for ulpack
#
#       Copyright (C) 2000-2017 GFD Dennou Club. All rights reserved.
#

include ../../../Mkinclude

LIBNAME		= tmpack
LIBFSRCS	= tmiget.f tmiqnp.f tmlget.f tmlqnp.f tmpget.f tmpqnp.f \
		  tmrget.f tmrqnp.f tmslcl.f tmstla.f tmstlc.f tmstln.f \
		  tmstls.f
LIBCSRCS	=
LIBSRCS		= $(LIBFSRCS) $(LIBCSRCS)
LIBFOBJS	= tmiget.o tmiqnp.o tmlget.o tmlqnp.o tmpget.o tmpqnp.o \
		  tmrget.o tmrqnp.o tmslcl.o tmstla.o tmstlc.o tmstln.o \
		  tmstls.o
LIBCOBJS	=
LIBOBJS		= $(LIBFOBJS) $(LIBCOBJS)


object: $(LIBOBJS)

library: archive ranlib

archive:
	@$(AR) $(ARFLAGS) $(LDCLLIBFILE) $(LIBOBJS)

ranlib:
	$(RANLIB) $(LDCLLIBFILE)

clean:
	$(RM) *.o *~

=== debian/changelog ===
dcl (7.3.0-1+0~20180119090432.55~1.gbpc5b5e3) unstable; urgency=medium

  ** SNAPSHOT build @c5b5e3a278c831f4eff5d3fda986848ee2a44d00 **

  * UNRELEASED

 -- Jenkins Autobuilder <jenkins@gfd-dennou.org>  Fri, 19 Jan 2018 18:04:35 +0900

dcl (7.3.0-1) unstable; urgency=medium

  * New upstream version 7.3.0
  * Fix dependency issue (Closes: #887408)
  * debian/changelog: Remove trailing-whitespace
  * debian/rules: Add '--no-parrallel'
  * debian/watch: Use https instead of http
  * Refresh patches
  * Bump SOVER
  * Bump Standard Version: 4.1.3

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Fri, 19 Jan 2018 17:12:12 +0900

=== debian/control ===
--- 
+++ 
@@ -5,10 +5,10 @@
 Build-Depends: debhelper (>= 9.0~),
 	autotools-dev,
 	libx11-dev,
-	libgtk-3-dev,
+	libgtk2.0-dev,
 	libglib2.0-dev,
 	gfortran
-Standards-Version: 4.1.0
+Standards-Version: 4.1.3
 Homepage: http://www.gfd-dennou.org/arch/dcl/
 Vcs-Git: https://anonscm.debian.org/git/users/uwabami-guest/dcl-f77.git
 Vcs-Browser: https://anonscm.debian.org/git/users/uwabami-guest/dcl-f77.git

=== debian/rules ===
--- 
+++ 
@@ -6,17 +6,17 @@
 include /usr/share/dpkg/buildflags.mk
 FFLAGS += -fPIC
 CFLAGS += -fPIC
-DCLVERNUM=7.2.3
-DCLVER=723
+DCLVERNUM=7.3.0
+DCLVER=730
 
 %:
-	dh $@
+	dh $@ --no-parallel
 
 override_dh_auto_configure-arch:
 	$(shell ! grep -q jessie /etc/os-release || \
 	  echo "activate-noawait ldconfig" > $(CURDIR)/debian/libf77dcl7.triggers )
 	CC=gcc FC=gfortran \
-	   dh_auto_configure -- $(dpkg-buildflags --export=configure) --with-gtk3
+	   dh_auto_configure -- $(dpkg-buildflags --export=configure) --with-gtk2
 
 override_dh_auto_configure-indep:
 #	do nothing
@@ -29,9 +29,9 @@
 	rm $(CURDIR)/debian/tmp/usr/bin/dclconfig
 	mv $(CURDIR)/debian/tmp/usr/bin/dclconfig$(DCLVER) \
 	  $(CURDIR)/debian/tmp/usr/bin/dclconfig
-	$(CC) $(CFLAGS) $(CPPFLAGS) $(LDFLAGS) -shared -Wl,-soname,libf77dcl.so.7 \
+	$(FC) $(FFLAGS) $(CPPFLAGS) $(LDFLAGS) -shared -Wl,-soname,libf77dcl.so.7 \
 	  -o $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libf77dcl.so.$(DCLVERNUM) \
-	  `find $(CURDIR) -name \*.o`
+	  `find $(CURDIR) -name \*.o` $(shell pkg-config gtk+-2.0 --libs)
 	( cd $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH) ; \
 	  ln -s libf77dcl.so.$(DCLVERNUM) libf77dcl.so.7 )
 	( cd $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH) ; \

## dcl 7.3.1

=== debian/changelog ===
dcl (7.3.1-1+0~20180316102520.56~1.gbpc2de04) unstable; urgency=medium

  ** SNAPSHOT build @c2de04dd3aff9f6201570ef06b486c8ebb61e87b **

  * UNRELEASED

 -- Jenkins Autobuilder <jenkins@gfd-dennou.org>  Fri, 16 Mar 2018 19:25:23 +0900

dcl (7.3.1-1) unstable; urgency=medium

  * New upstream version 7.3.1
  * Refresh patches
  * debian/patches: Typo. fixed
  * Update soversion
  * d/control: Fix Vcs-Browser field

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Fri, 16 Mar 2018 17:21:43 +0900

dcl (7.3.0-2) unstable; urgency=medium

  * Update Vcs-* field

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Sat, 20 Jan 2018 03:17:59 +0900

=== debian/control ===
--- 
+++ 
@@ -10,8 +10,8 @@
 	gfortran
 Standards-Version: 4.1.3
 Homepage: http://www.gfd-dennou.org/arch/dcl/
-Vcs-Git: https://anonscm.debian.org/git/users/uwabami-guest/dcl-f77.git
-Vcs-Browser: https://anonscm.debian.org/git/users/uwabami-guest/dcl-f77.git
+Vcs-Git: https://salsa.debian.org/uwabami-guest/dcl-f77.git
+Vcs-Browser: https://salsa.debian.org/uwabami-guest/dcl-f77
 
 Package: dcl-f77
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -6,8 +6,8 @@
 include /usr/share/dpkg/buildflags.mk
 FFLAGS += -fPIC
 CFLAGS += -fPIC
-DCLVERNUM=7.3.0
-DCLVER=730
+DCLVERNUM=7.3.1
+DCLVER=731
 
 %:
 	dh $@ --no-parallel

## dcl 7.3.3

=== bin/Makefile ===
--- 
+++ 
@@ -10,7 +10,8 @@
 INSTSRC		= dcldate$(EXT) dclver$(EXT) dclexec$(EXT) dcltrf$(EXT) \
 		  dclclr$(EXT)  dcldbs$(EXT) dclfont$(EXT) dclpara$(EXT) \
 		  dcltone$(EXT) dclcmap$(EXT) repsl$(EXT) \
-			dclfontlist$(EXT) dclsysfont$(EXT) dclfontdialog$(EXT) \
+                  dclfontlist$(EXT) dclsysfont$(EXT) dclfontdialog$(EXT) \
+                  dclsrv$(EXT) \
 
 all: $(DCLCONFVER) $(DCLFRT) $(DCLCC)

=== demo/Makefile ===
--- 
+++ 
@@ -1,12 +1,12 @@
 #
 #       Makefile for demo
 #
-#       Copyright (C) 2000-2016 GFD Dennou Club. All rights reserved.
+#       Copyright (C) 2000-2017 GFD Dennou Club. All rights reserved.
 #
 
 include ../Mkinclude
 
-SUBDIRS		= math1 misc1 grph1 math2 grph2 rakuraku gokuraku
+SUBDIRS		= math1 misc1 misc2 grph1 math2 grph2 rakuraku gokuraku
  
 
 all:

=== man/Makefile ===
#
#       Makefile for bin
#
#       Copyright (C) 2000-2016 GFD Dennou Club. All rights reserved.
#

include ../Mkinclude

MANPAGE 	= dclfrt.1.gz dclconfig.1.gz dclcc.1.gz

all:

install:
	$(CP) $(MANPAGE) $(MANDIR)/man1

clean:
	$(RM) *~

distclean:
	$(RM) *~

=== src/Makefile ===
--- 
+++ 
@@ -6,7 +6,7 @@
 
 include ../Mkinclude
 
-OBJDIRS		= math1 misc1 misc2 grph1 math2 grph2
+OBJDIRS		= math1 misc1 grph1 math2 grph2
 ALLDIRS		= math1 misc1 misc2 grph1 env1 math2 grph2 env2
 
 object:

=== doc-en/rakuraku/Makefile ===
#
#       Makefile for rakuraku
#

include ../../Mkinclude

EPSDIR          = append kihon1 kihon2 layout map3d miss  \
                  quick  u2d1   u2d2   uspack uxyz1 uxyz2 \
                  paint  color


all: epsfiles rakuraku.pdf

epsfiles:
	@for i in $(EPSDIR) ; do \
	  cd $$i ; \
	  echo "Making $$i epsfiles" ; \
	  $(MAKE) ; \
	  cd .. ; \
	done

rakuraku.pdf: rakuraku.dvi
	$(RM) rakuraku.pdf
	$(DVI2PDF) rakuraku.dvi

rakuraku.dvi: rakuraku.tex
	$(JLATEX) rakuraku.tex
	$(JLATEX) rakuraku.tex

install: $(PSDIR)/rakuraku.ps

$(PSDIR)/rakuraku.ps: rakuraku.ps
	@$(CP) rakuraku.ps $(PSDIR)/rakuraku.ps

clean: clean.local clean.dir

clean.local:
	$(RM) *~ *.aux *.dvi *.idx *.log *.toc *.ps *.pdf *.exe *.out

clean.dir:
	$(RM) */*~ */*.aux */*.eps */*.pdf */*.exe */*.out */*.obj

=== doc-en/sample/Makefile ===
#
#       Makefile for sample
#

include ../../Mkinclude

EPSDIR		= sgpack slpack grpack uxyzpk uspack udegpk \
            umpack uipack


all: epsfiles sample.pdf

epsfiles:
	@for i in $(EPSDIR) ; do \
	  cd $$i ; \
	  echo "Making $$i epsfiles" ; \
	  $(MAKE) ; \
	  cd .. ; \
	done

sample.pdf: sample.dvi
	$(RM) sample.pdf
	$(DVI2PDF) sample.dvi

sample.dvi: sample.tex
	$(JLATEX) sample.tex
	$(JLATEX) sample.tex

install: $(PSDIR)/sample.ps

$(PSDIR)/sample.ps: sample.ps
	@$(CP) sample.ps $(PSDIR)/sample.ps

clean: clean.local clean.dir

clean.local:
	$(RM) *~ *.aux *.dvi *.idx *.log *.toc *.ps *.pdf *.exe *.out

clean.dir:
	$(RM) */*~ */*.aux */*.eps */*.pdf */*.exe */*.out */*.obj

=== src/math1/Makefile ===
#
#       Makefile for math1
#
#       Copyright (C) 2000-2016 GFD Dennou Club. All rights reserved.
#

include ../../Mkinclude

SUBDIRS		= blklib chrlib ctrlib fnclib gnmlib ifalib indxlib \
		  intlib lrllib maplib oslib  rfalib rfblib sublib  \
		  syslib vialib viblib vralib vrblib xfclib gt2dlib

object:
	@for i in $(SUBDIRS) ; do \
	  cd $$i ; \
	  echo "Making object files in $$i" ; \
	  $(MAKE) object ; \
	  cd .. ; \
	done

library: archive ranlib

archive:
	@for i in $(SUBDIRS) ; do \
	  cd $$i ; \
	  echo "Archiving $$i" ; \
	  $(MAKE) archive ; \
	  cd .. ; \
	done

ranlib:
	$(RANLIB) $(LDCLLIBFILE)

clean: clean.local clean.dir

clean.local:
	$(RM) *~

clean.dir:
	@for i in $(SUBDIRS) ; do \
	  cd $$i ; \
	  echo "Cleaning $$i" ; \
	  $(MAKE) clean ; \
	  cd .. ; \
	done

=== src/misc2/Makefile ===
--- 
+++ 
@@ -6,7 +6,8 @@
 
 include ../../Mkinclude
 
-SUBDIRS		= tmpack
+SUBDIRS		= 
+#tmpack
 
 
 object:

=== demo/gokuraku/hop/Makefile ===
#
#       Makefile for hajime (gokuraku)
#
#       Copyright (C) 2000-2016 GFD Dennou Club. All rights reserved.
#

include ../../../Mkinclude

LIBNAME		= hajime
LIBSRCS		= hop.f
LIBDEMO		= hop
LIBEXEC		= hop$(EXT)


all: $(LIBDEMO)

clean:
	  $(RM) $(LIBEXEC) *.o *~ *.ps core *.trace *.eps *.svg *.pdf a.out a.out *.eps *.png *.svg

=== demo/grph1/slpack/Makefile ===
#
#       Makefile for slpack (demo)
#
#       Copyright (C) 2000-2016 GFD Dennou Club. All rights reserved.
#

include ../../../Mkinclude

LIBNAME		= slpack
LIBSRCS		= slpk01.f     slpk02.f     slpk03.f     slpk04.f
LIBDEMO 	= slpk01       slpk02       slpk03       slpk04
LIBEXEC 	= slpk01$(EXT) slpk02$(EXT) slpk03$(EXT) slpk04$(EXT)


all: $(LIBDEMO)

clean:
	  $(RM) $(LIBEXEC) *.o *~ *.ps core *.trace *.eps *.svg *.pdf a.out

=== demo/grph2/ucpack/Makefile ===
#
#       Makefile for ucpack (demo)
#
#       Copyright (C) 2000-2016 GFD Dennou Club. All rights reserved.
#

include ../../../Mkinclude

LIBNAME		= ucpack
LIBSRCS		= ucpk01.f     ucpk02.f     ucpk03.f     ucpk04.f
LIBDEMO 	= ucpk01       ucpk02       ucpk03       ucpk04
LIBEXEC 	= ucpk01$(EXT) ucpk02$(EXT) ucpk03$(EXT) ucpk04$(EXT)


all: $(LIBDEMO)

clean:
	  $(RM) $(LIBEXEC) *.o *~ *.ps core *.trace *.eps *.svg *.pdf a.out

=== demo/grph2/uipack/Makefile ===
#
#       Makefile for uipack (demo)
#
#       Copyright (C) 2000-2016 GFD Dennou Club. All rights reserved.
#

include ../../../Mkinclude

LIBNAME		= uipack
LIBSRCS		= uipk01.f     uipk02.f uipk03.f
LIBDEMO 	= uipk01       uipk02 uipk03
LIBEXEC 	= uipk01$(EXT) uipk02$(EXT) uipk03$(EXT)


all: $(LIBDEMO)

clean:
	  $(RM) $(LIBEXEC) *.o *~ *.ps core *.trace *.eps *.svg *.pdf a.out

=== debian/changelog ===
dcl (7.3.3-1) unstable; urgency=medium

  * New upstream version 7.3.3
  * d/control: Bump Standard-Version 4.1.5
  * d/{control,compat}: Bump compat 11
  * Support GTK3

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Wed, 11 Jul 2018 19:08:36 +0900

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,11 @@
 Section: science
 Priority: optional
 Maintainer: Youhei SASAKI <uwabami@gfd-dennou.org>
-Build-Depends: debhelper (>= 9.0~),
-	autotools-dev,
+Build-Depends: debhelper (>= 11~),
 	libx11-dev,
-	libgtk2.0-dev,
-	libglib2.0-dev,
+	libgtk-3-dev,
 	gfortran
-Standards-Version: 4.1.3
+Standards-Version: 4.1.5
 Homepage: http://www.gfd-dennou.org/arch/dcl/
 Vcs-Git: https://salsa.debian.org/uwabami-guest/dcl-f77.git
 Vcs-Browser: https://salsa.debian.org/uwabami-guest/dcl-f77

=== debian/rules ===
--- 
+++ 
@@ -3,20 +3,24 @@
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 export DPKG_EXPORT_BUILDFLAGS=1
 export DEB_BUILD_MAINT_OPTIONS=hardening=+all
+export LIBTOOLIZE=false
 include /usr/share/dpkg/buildflags.mk
 FFLAGS += -fPIC
 CFLAGS += -fPIC
-DCLVERNUM=7.3.1
-DCLVER=731
+DCLVERNUM=7.3.3
+DCLVER=733
 
 %:
-	dh $@ --no-parallel
+	dh $@ --no-parallel --with autoreconf
+
+override_dh_autoreconf:
+	autoconf -f -i
 
 override_dh_auto_configure-arch:
 	$(shell ! grep -q jessie /etc/os-release || \
 	  echo "activate-noawait ldconfig" > $(CURDIR)/debian/libf77dcl7.triggers )
 	CC=gcc FC=gfortran \
-	   dh_auto_configure -- $(dpkg-buildflags --export=configure) --with-gtk2
+	   dh_auto_configure -- $(dpkg-buildflags --export=configure) --with-gtk3
 
 override_dh_auto_configure-indep:
 #	do nothing
@@ -31,7 +35,7 @@
 	  $(CURDIR)/debian/tmp/usr/bin/dclconfig
 	$(FC) $(FFLAGS) $(CPPFLAGS) $(LDFLAGS) -shared -Wl,-soname,libf77dcl.so.7 \
 	  -o $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libf77dcl.so.$(DCLVERNUM) \
-	  `find $(CURDIR) -name \*.o` $(shell pkg-config gtk+-2.0 --libs)
+	  `find $(CURDIR) -name \*.o` $(shell pkg-config gtk+-3.0 --libs)
 	( cd $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH) ; \
 	  ln -s libf77dcl.so.$(DCLVERNUM) libf77dcl.so.7 )
 	( cd $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH) ; \

## dcl 7.4.0

=== src/misc2/cwrap/Makefile ===
#
#       Makefile for ulpack
#
#       Copyright (C) 2000-2017 GFD Dennou Club. All rights reserved.
#

include ../../../Mkinclude

LIBNAME	= cwrap
LIBFSRCS	= cdclf90.f90
LIBCSRCS	= cmsgdmp.c
LIBSRCS	= $(LIBFSRCS) $(LIBCSRCS)
LIBFOBJS	= cdclf90.o
LIBCOBJS	= cmsgdmp.o
LIBOBJS	= $(LIBFOBJS) $(LIBCOBJS)

object: $(LIBOBJS)

cdclf90.f90: cdcl.h c2f90.rb
	ruby c2f90.rb cdcl.h > cdclf90.f90

library: archive ranlib

archive:
	@$(AR) $(ARFLAGS) $(LDCLLIBFILE) $(LIBOBJS)
	@$(CP) *.h ../../../include
    

ranlib:
	$(RANLIB) $(LDCLLIBFILE)

clean:
	$(RM) *.o *~ cdclf90.f90

=== debian/changelog ===
dcl (7.4.0-2+0~20201021123253.61~1.gbp37c8a1) unstable; urgency=medium

  ** SNAPSHOT build @37c8a16da1fd2f15fe7500759ded857ab357ecc7 **

  * UNRELEASED

 -- Jenkins Autobuilder <jenkins@gfd-dennou.org>  Wed, 21 Oct 2020 21:32:54 +0900

dcl (7.4.0-2) unstable; urgency=medium

  * Fix location of Fortran mod files
  * Fix fottran FFLAGS, prepare backports

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Wed, 21 Oct 2020 21:26:51 +0900

dcl (7.4.0-1) unstable; urgency=medium

  * New upstream version 7.4.0
  * Refresh patches
  * Add DEP-3 patch tag
  * Add patch: change documents and demo program file encoding: utf-8
  * include fortran >= 90's mod files by dh_fortran_mod
    * change location of mod files
  * Install English doc
  * Fix Vcs-{Git,Browser}: remove '-guest'
  * Add ruby into Build-Depends

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Mon, 19 Oct 2020 22:30:56 +0900

dcl (7.3.4-1) unstable; urgency=medium

  * New upstream version 7.3.4
  * d/control: Bump Standard Version 4.5.0
  * Add d/salsa-ci.yml
  * update d/patch: add gfortran flags
  * d/rules: Remove ffile-prefix-map
  * d/{control,compat}: use debhelper-compat
  * d/control:
    * Add Rules-Requires-Root: no
    * Drop gtk2 depends (Closes: #967303)
  * lintian-brush
    * Use secure URI in Homepage field.
    * Drop unnecessary dependency on dh-autoreconf.

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Wed, 07 Oct 2020 11:25:16 +0900

=== debian/control ===
--- 
+++ 
@@ -2,14 +2,17 @@
 Section: science
 Priority: optional
 Maintainer: Youhei SASAKI <uwabami@gfd-dennou.org>
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper-compat (= 12),
 	libx11-dev,
 	libgtk-3-dev,
-	gfortran
-Standards-Version: 4.1.5
-Homepage: http://www.gfd-dennou.org/arch/dcl/
-Vcs-Git: https://salsa.debian.org/uwabami-guest/dcl-f77.git
-Vcs-Browser: https://salsa.debian.org/uwabami-guest/dcl-f77
+	gfortran,
+	dh-fortran-mod,
+	ruby
+Standards-Version: 4.5.0
+Homepage: https://www.gfd-dennou.org/arch/dcl/
+Vcs-Git: https://salsa.debian.org/uwabami/dcl-f77.git
+Vcs-Browser: https://salsa.debian.org/uwabami/dcl-f77
+Rules-Requires-Root: no
 
 Package: dcl-f77
 Architecture: all
@@ -34,7 +37,7 @@
 Depends: ${shlibs:Depends}, ${misc:Depends},
 	libf77dcl7 (= ${binary:Version}),
 	fonts-dclfonts,
-	libgtk2.0-dev,
+	libgtk-3-dev,
 	libglib2.0-dev,
 	gfortran
 Description: GFD-DENNOU Club Library (DCL) - static library and header files

=== debian/rules ===
--- 
+++ 
@@ -5,21 +5,24 @@
 export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 export LIBTOOLIZE=false
 include /usr/share/dpkg/buildflags.mk
+FC = $(shell basename $(shell readlink -f /usr/bin/gfortran))
 FFLAGS += -fPIC
 CFLAGS += -fPIC
-DCLVERNUM=7.3.3
-DCLVER=733
+ifneq ($(shell grep VERSION_CODENAME /etc/os-release),VERSION_CODENAME=buster)
+	FFLAGS += -fallow-invalid-boz
+	FFLAGS += -std=legacy
+endif
+DCLVERNUM=7.4.0
+DCLVER=740
 
 %:
-	dh $@ --no-parallel --with autoreconf
+	dh $@ --no-parallel --with fortran_mod
 
 override_dh_autoreconf:
 	autoconf -f -i
 
 override_dh_auto_configure-arch:
-	$(shell ! grep -q jessie /etc/os-release || \
-	  echo "activate-noawait ldconfig" > $(CURDIR)/debian/libf77dcl7.triggers )
-	CC=gcc FC=gfortran \
+	CC=gcc FC=$(FC) FFLAGS="$(FFLAGS)" \
 	   dh_auto_configure -- $(dpkg-buildflags --export=configure) --with-gtk3
 
 override_dh_auto_configure-indep:
@@ -46,12 +49,18 @@
 
 override_dh_install-arch:
 	dh_install -a --sourcedir=debian/tmp
-	sed -i -e 's%-fdebug-prefix-map.*\.%%g ' \
+	sed -i -e 's%-fdebug-prefix-map.*\.%%g ' -e 's%-ffile-prefix-map.*\.%%g ' \
 	  $(CURDIR)/debian/libf77dcl-dev/usr/bin/dclconfig
+
 
 override_dh_install-indep:
 	dh_install -i --sourcedir=$(CURDIR)
 	find $(CURDIR)/debian/dcl-f77-docs/ -name Makefile.win | xargs rm -f
+	rm -f $(CURDIR)/debian/dcl-f77-docs/usr/share/doc/dcl-f77-docs/doc/f90/parm/parm.aux
+	rm -f $(CURDIR)/debian/dcl-f77-docs/usr/share/doc/dcl-f77-docs/doc/f90/parm/parm.dvi
+	rm -f $(CURDIR)/debian/dcl-f77-docs/usr/share/doc/dcl-f77-docs/doc/f90/parm/parm.idx
+	rm -f $(CURDIR)/debian/dcl-f77-docs/usr/share/doc/dcl-f77-docs/doc/f90/parm/parm.out
+	rm -f $(CURDIR)/debian/dcl-f77-docs/usr/share/doc/dcl-f77-docs/doc/f90/parm/parm.toc
 
 override_dh_auto_clean:
 	[ ! -f Mkinclude ] || $(MAKE) distclean
@@ -60,6 +69,7 @@
 	rm -f $(CURDIR)/lib/lib*.so
 	rm -f $(CURDIR)/lib/lib*.so.*
 	rm -f $(CURDIR)/src/misc1/fiolib/fcpack.f
+	rm -fr $(CURDIR)/include/dcl
 
 override_dh_compress:
 	dh_compress -X.png -X.f -X.dat
